import cm from './CircleAvatar.module.styl'
import React, { PureComponent } from 'react'
import PropTypes from 'prop-types'

const ALT_IMAGE_URL = 'https://manychat.com/assets/img/fb-profile.png'

export default class CircleAvatar extends PureComponent {
  static propTypes = {
    className: PropTypes.string,
    size: PropTypes.number,
    url: PropTypes.string,
  }

  static defaultProps = {
    className: '',
    size: 32,
  }

  state = {
    showAltImage: false,
  }

  handleImgLoadError = e => {
    this.setState({ showAltImage: true })
  }

  render() {
    const { showAltImage } = this.state
    const { size, url, className } = this.props

    const src = showAltImage || !url ? ALT_IMAGE_URL : url
    const style = {
      width: size,
      height: size,
    }
    return (
      <div className={`${cm.wrapper} ${className}`} style={style}>
        <img src={src} onError={this.handleImgLoadError} />
      </div>
    )
  }
}
