import cm from './Loader.module.styl'
import React from 'react'
import PropTypes from 'prop-types'
import cx from 'classnames'

export default class Loader extends React.PureComponent {
  static propTypes = {
    center: PropTypes.bool,
    className: PropTypes.string,
    inline: PropTypes.bool,
    size: PropTypes.number,
    style: PropTypes.object,
  }

  static defaultProps = {
    size: 40,
    style: {},
  }

  render() {
    const { size, center, inline } = this.props
    const style = { ...this.props.style }

    if (center) {
      style.position = 'absolute'
    }

    style.width = size
    style.height = size

    if (inline) {
      style.display = 'inline-block'
    }

    if (center) {
      style.top = '50%'
      style.marginTop = size / -2
      style.left = '50%'
      style.marginLeft = size / -2
    }

    return (
      <div className={cx(cm.spinner, this.props.className)} style={style}>
        <div className={cm.doubleBounce1} />
        <div className={cm.doubleBounce2} />
      </div>
    )
  }
}
