// import cm from './Provider.module.styl'
import React from 'react'
import PropTypes from 'prop-types'
import cx from 'classnames'

const ROOT_CLASSNAME = 'manyui-root'

export default class Provider extends React.Component {
  static propTypes = {
    children: PropTypes.any,
    className: PropTypes.string,
    style: PropTypes.object,
    withoutContainer: PropTypes.bool,
  }

  static defaultProps = {
    withoutContainer: false,
  }

  componentDidMount() {
    if (this.props.withoutContainer) {
      document.body.classList.add(ROOT_CLASSNAME)
    }
  }

  componentWillUnmount() {
    if (this.props.withoutContainer) {
      document.body.classList.remove(ROOT_CLASSNAME)
    }
  }

  render() {
    const { children, className, style, withoutContainer } = this.props

    if (withoutContainer) {
      return children
    }

    return (
      <div className={cx(ROOT_CLASSNAME, className)} style={style}>
        {children}
      </div>
    )
  }
}
