import React from 'react'
import { storiesOf } from '@storybook/react'
import { NumberInput } from '@manychat/manyui'
import { action } from '@storybook/addon-actions'
import { ControlledInputWrapper, InputStoryWrapper } from '@manychat/manyui'
import { boolean, number, text, withKnobs } from '@storybook/addon-knobs/react'

const stories = storiesOf('NumberInput', module)

stories.addDecorator(InputStoryWrapper)

stories.addDecorator(withKnobs)

stories.add('default', props => (
  <ControlledInputWrapper onChange={action('onChange')}>
    <NumberInput
      minValue={number('minValue')}
      maxValue={number('maxValue')}
      maxSymbols={number('maxSymbols')}
      placeholder={text('placeholder')}
      invalid={boolean('invalid', false)}
      disabled={boolean('disabled', false)}
      positive={boolean('positive', false)}
      hideArrows={boolean('hideArrows', false)}
      integer={boolean('integer', false)}
    />
  </ControlledInputWrapper>
))
