import React from 'react'
import { storiesOf } from '@storybook/react'
import { TextArea } from '@manychat/manyui'
import { withKnobs, boolean, text, number } from '@storybook/addon-knobs/react'
import { action } from '@storybook/addon-actions'
import { ControlledInputWrapper, InputStoryWrapper } from '@manychat/manyui'

const stories = storiesOf('TextArea', module)

stories.addDecorator(InputStoryWrapper)

stories.addDecorator(withKnobs)

stories.add('default', () => (
    <ControlledInputWrapper onChange={action('onChange')}>
      <TextArea
        minRows={number('minRows', 3)}
        maxRows={number('maxRows', 12)}
        placeholder={text('Placeholder')}
        invalid={boolean('Invalid', false)}
        disabled={boolean('Disabled', false)}
      />
    </ControlledInputWrapper>
  )
)