import cm from './TextInput.module.styl'
import React from 'react'
import PropTypes from 'prop-types'
import cx from 'classnames'

export default class TextInput extends React.PureComponent {
  static propTypes = {
    className: PropTypes.string,
    invalid: PropTypes.bool,
    disabled: PropTypes.bool,
    autocomplete: PropTypes.bool,
  }

  static defaultProps = {
    className: '',
    invalid: false,
    disabled: false,
    autocomplete: true,
  }

  blur = () => this.input && this.input.blur()
  focus = () => this.input && this.input.focus()
  select = () => this.input && (this.input.select ? this.input.select() : this.input.focus())

  handleInputRef = el => (this.input = el)

  render() {
    const { className, invalid, autocomplete, ...other } = this.props

    return (
      <input
        {...other}
        type="text"
        ref={this.handleInputRef}
        autocomplete={autocomplete ? 'on' : 'off'}
        className={cx(cm.input, className, { [cm.invalid]: invalid })}
      />
    )
  }
}
