import React from 'react'
import { storiesOf } from '@storybook/react'
import { TextInput } from '@manychat/manyui'
import { withKnobs, boolean, text } from '@storybook/addon-knobs/react'
import { action } from '@storybook/addon-actions'
import { ControlledInputWrapper, InputStoryWrapper } from '@manychat/manyui'

const stories = storiesOf('TextInput', module)

stories.addDecorator(InputStoryWrapper)

stories.addDecorator(withKnobs)

stories.add('default', () => (
    <ControlledInputWrapper onChange={action('onChange')}>
      <TextInput
        placeholder={text('Placeholder')}
        invalid={boolean('Invalid', false)}
        disabled={boolean('Disabled', false)}
      />
    </ControlledInputWrapper>
  )
)