import React from 'react'
import { storiesOf } from '@storybook/react'
import { Toggle } from '@manychat/manyui'
import { withKnobs, boolean } from '@storybook/addon-knobs/react'
import { action } from '@storybook/addon-actions'
import { ControlledInputWrapper, InputStoryWrapper } from '@manychat/manyui'

const stories = storiesOf('Toggle', module)

// stories.addDecorator(InputStoryWrapper)

stories.addDecorator(withKnobs)

stories.add('default', () => (
  <div>
    <span className="m-r-sm text-secondary">Text in left</span>
    <ControlledInputWrapper onChange={action('onChange')}>
      <Toggle disabled={boolean('Disabled', false)} sm={boolean('SM', false)} />
    </ControlledInputWrapper>
    <span className="m-l-sm text-secondary">Text in right</span>
  </div>
))
