import React from 'react'
import { withKnobs, boolean, date } from '@storybook/addon-knobs/react'
import { storiesOf } from '@storybook/react'
import { Calendar } from '@manychat/manyui'

function dateKnob(name, defaultValue) {
  const stringTimestamp = date(name, defaultValue)
  return new Date(stringTimestamp)
}

const today = new Date()

class Wrapper extends React.Component {
  state = { value: null }

  handleChange = e => this.setState({ value: e.target.value })

  render() {
    return (
      <Calendar
        value={this.state.value}
        onChange={this.handleChange}
        iso={boolean('ISO', false)}
        showHolidays={boolean('Show Holidays', false)}
        hideHeader={boolean('Hide Header', false)}
        minDate={dateKnob('Min Date', new Date(new Date().setFullYear(today.getFullYear() - 15)))}
        maxDate={dateKnob('Max Date', new Date(new Date().setFullYear(today.getFullYear() + 1)))}
      />
    )
  }
}

const stories = storiesOf('Calendar', module)
stories.addDecorator(withKnobs)

stories.add('default', () => <Wrapper />)
