import React from 'react'
// import { withKnobs, boolean, date } from '@storybook/addon-knobs/react'
import { storiesOf } from '@storybook/react'
import { Popover, Btn } from '@manychat/manyui'

class Wrapper extends React.Component {
  state = { showPopover: false }

  handleShowPopoverBtnRef = el => el && (this[`btn${el.props.name}`] = el)

  handleShowPopoverClick = e => {
    const prop = `show${e.currentTarget.name}`
    this.setState({ [prop]: !this.state[prop] })
  }

  handlePopoverRequestClose = (name, reason, e) => this.setState({ [`show${name}`]: false })

  render() {
    return (
      <div className="p-a">
        <div style={{ height: '100px' }} />

        <Btn ref={this.handleShowPopoverBtnRef} name="P1" onClick={this.handleShowPopoverClick}>
          Show Popover
        </Btn>
        <Popover
          arrow="top"
          open={!!this.state['showP1']}
          anchor={this['btnP1']}
          anchorOrigin="top center"
          popoverOrigin="bottom center"
          onRequestClose={this.handlePopoverRequestClose.bind(this, 'P1')}
        >
          <div className="p-a-sm">
            <h6>Popover</h6>
            <p>Second row</p>
          </div>
        </Popover>

        <div style={{ height: '400px' }} />

        <div className="p-a">
          <Btn
            ref={this.handleShowPopoverBtnRef}
            name="P2"
            onClick={this.handleShowPopoverClick}
            style={{ marginLeft: '500px', marginRight: '500px' }}
          >
            Show Popover 2
          </Btn>
          <Popover
            arrow
            at="right"
            open={!!this.state['showP2']}
            anchor={this['btnP2']}
            onRequestClose={this.handlePopoverRequestClose.bind(this, 'P2')}
          >
            <div className="p-a-sm">
              <h6>Popover 2</h6>
              <div className="p-a-lg bg-warning" />
            </div>
          </Popover>
        </div>

        <div style={{ height: '400px' }} />

        <Btn ref={this.handleShowPopoverBtnRef} name="P3" onClick={this.handleShowPopoverClick}>
          Show Popover 3
        </Btn>
        <Popover
          arrow
          at="bottom"
          autoPosition="none"
          open={!!this.state['showP3']}
          anchor={this['btnP3']}
          onRequestClose={this.handlePopoverRequestClose.bind(this, 'P3')}
        >
          <div className="p-a-sm">
            <h6>Popover 3</h6>
            <div className="p-a-lg bg-success" />
          </div>
        </Popover>

        <div style={{ height: '50px' }} />
      </div>
    )
  }
}

const stories = storiesOf('Popover', module)
// stories.addDecorator(withKnobs)

stories.add('default', () => <Wrapper />)
