import { getPopoverPosition } from './positioning'

describe('getPopoverPosition', () => {
  test('calculates correct position', () => {
    const point = getPopoverPosition(
      { x: 200, xUnits: 'px', y: 20, yUnits: 'px' },
      { left: 200, top: 200, width: 200, height: 40 },
      { x: 0, xUnits: 'px', y: 250, yUnits: 'px' },
      { width: 200, height: 500 },
    )
    expect(point).toMatchObject({
      x: { value: 400 },
      y: { value: -30 },
    })
  })

  test('flips popover x axis when it reaches treshold', () => {
    const point = getPopoverPosition(
      { x: 200, xUnits: 'px', y: 20, yUnits: 'px' },
      { left: 200, top: 200, width: 200, height: 40 },
      { x: 0, xUnits: 'px', y: 25, yUnits: 'px' },
      { width: 50, height: 50 },
      { thresholds: { x: [0, 425] } },
    )
    expect(point).toMatchObject({
      x: { anchorOrigin: '0px 20px', position: 'flip', value: 150 },
      y: { value: 195 },
    })
  })
})
