export const AXIS_STYLE_PROP = {
  x: 'left',
  y: 'top',
}

export const ARROW_ORIGINS = {
  top: 'bottom center',
  bottom: 'top center',
  left: 'right center',
  right: 'left center',
}

export const ARROW_MARGINS = {
  top: 'm-b-sm',
  bottom: 'm-t-sm',
  left: 'm-r-sm',
  right: 'm-l-sm',
}

export const ARROW_AXIS = {
  top: 'y',
  bottom: 'y',
  left: 'x',
  right: 'x',
}

export const ARROW_OPPOSITES = {
  top: 'bottom',
  bottom: 'top',
  left: 'right',
  right: 'left',
}

export const AT_MAPPING = {
  top: {
    anchorOrigin: 'center top',
    popoverOrigin: 'center bottom',
  },
  bottom: {
    anchorOrigin: 'center bottom',
    popoverOrigin: 'center top',
  },
  left: {
    anchorOrigin: 'left center',
    popoverOrigin: 'right center',
  },
  right: {
    anchorOrigin: 'right center',
    popoverOrigin: 'left center',
  },
}

export const AutoPositionType = {
  NONE: 'none',
  AUTO: 'auto',
  FLIP: 'flip',
  SHIFT: 'shift',
}

export const AutoPositionTypes = [
  AutoPositionType.NONE,
  AutoPositionType.AUTO,
  AutoPositionType.FLIP,
  AutoPositionType.SHIFT,
]
