const stop = e => e.stopPropagation()

const events = {
  onClick: stop,
  onContextMenu: stop,
  onDoubleClick: stop,
  onDrag: stop,
  onDragEnd: stop,
  onDragEnter: stop,
  onDragExit: stop,
  onDragLeave: stop,
  onDragOver: stop,
  onDragStart: stop,
  onDrop: stop,
  onMouseDown: stop,
  onMouseEnter: stop,
  onMouseLeave: stop,
  onMouseMove: stop,
  onMouseOver: stop,
  onMouseOut: stop,
  onMouseUp: stop,

  onKeyDown: stop,
  onKeyPress: stop,
  onKeyUp: stop,

  onFocus: stop,
  onBlur: stop,

  onChange: stop,
  onInput: stop,
  onInvalid: stop,
  onSubmit: stop,
}

export const withHanlder = h =>
  Object.keys(events).reduce((res, e) => ((res[e] = h.bind(undefined, e)), res), {})

export default event
