import cm from './BotEmulator.module.styl'
import React, { PureComponent } from 'react'
import PropTypes from 'prop-types'
import cx from 'classnames'
import MainMenu from './MainMenu'
import MessengerNavbar from './MessengerNavbar'
import Scrollbars from 'react-custom-scrollbars'

export default class BotEmulator extends PureComponent {
  static propTypes = {
    children: PropTypes.node,
    menu: PropTypes.any,
    page: PropTypes.shape({
      name: PropTypes.string,
      avaURL: PropTypes.string,
    }),
  }

  render() {
    const { menu, page } = this.props

    return (
      <div className={cm.wrapper}>
        <div className={cx(cm.page, cm.show)}>
          <MessengerNavbar name={page.name} onClickBack={this.handleWelcome} />
          <Scrollbars className="flex-grow-1">
            <div className="p-a-sm">{this.props.children}</div>
          </Scrollbars>
          <MainMenu categories={menu} />
        </div>
      </div>
    )
  }
}
