import cm from './Cards.module.styl'
import React, { PureComponent } from 'react'
import PropTypes from 'prop-types'
import Buttons from '../Buttons'

export default class CardItem extends PureComponent {
  static propTypes = {
    item: PropTypes.object,
  }

  renderImage(image) {
    const img = <img src={image.img_big} alt={image.title} />
    if (image.click_url) {
      return (
        <a href={image.click_url} target="_blank" className={cm.img}>
          {img}
        </a>
      )
    }
    return <div className={cm.img}>{img}</div>
  }

  render() {
    const { image, title, subtitle, buttons } = this.props.item

    const withButtons = Array.isArray(buttons) && buttons.length > 0

    return (
      <div className={cm.card}>
        {!!image && this.renderImage(image)}
        <div className={cm.content}>
          {!!title && <span className="fbm-text-md font-semibold">{title}</span>}
          <div className={`fbm-text-secondary ${title ? 'p-t-xs' : ''}`}>{subtitle}</div>
        </div>
        {withButtons && <Buttons items={buttons} />}
      </div>
    )
  }
}
