import cm from '../../Message.module.styl'
import React from 'react'
import cx from 'classnames'
import SvgIcon from 'components/misc/SvgIcon'
import { PLAY, PAUSE } from 'constants/icons'
import MediaHOC from '../MediaHOC'

const Audio = React.forwardRef((props, ref) => {
  const { currentTime, duration, formatDuration, onPlayClick, playing } = props
  const { file, mime = 'audio/mpeg', title } = props

  const bgWidth = duration ? (currentTime / duration) * 100 : 0
  const audioWidth = 30 + Math.min(150, duration / 2)

  return (
    <div
      onClick={onPlayClick}
      className={cx(cm.audio, 'p-relative d-flex align-center p-a-sm')}
      title={title}
    >
      <div className={cm.play}>
        <SvgIcon i={playing ? PAUSE : PLAY} />
      </div>
      <div className={cm.line} style={{ width: audioWidth }} />
      <div className={cm.duration}>{formatDuration(duration)}</div>
      <audio ref={ref}>
        <source src={file} type={mime} />
      </audio>
      <div
        className={cm.audioOverlay}
        style={{ width: `${bgWidth}%`, transition: bgWidth ? 'width .25s ease-in-out' : 'none' }}
      />
    </div>
  )
})

export default MediaHOC(Audio)
