import cm from '../../Message.module.styl'
import React, { Fragment } from 'react'
import cx from 'classnames'
import SvgIcon from 'components/misc/SvgIcon'
import { PLAY, PAUSE } from 'constants/icons'
import MediaHOC from '../MediaHOC'

const Video = React.forwardRef((props, ref) => {
  const { duration, formatDuration, onPlayClick, playing } = props
  const { file, title } = props

  return (
    <div onClick={onPlayClick} className={cx(cm.video, 'p-relative')} title={title}>
      {!playing && (
        <Fragment>
          <div className={cm.play}>
            <SvgIcon i={playing ? PAUSE : PLAY} size={32} />
          </div>
          <div className={cm.duration}>{formatDuration(duration)}</div>
        </Fragment>
      )}
      <video ref={ref}>
        <source src={file} />
      </video>
    </div>
  )
})

export default MediaHOC(Video)
