import React, { PureComponent } from 'react'
import PropTypes from 'prop-types'
import cx from 'classnames'
import SvgIcon from 'components/misc/SvgIcon'
import {
  KEYBOARD_ARROW_LEFT_THIN,
  KEYBOARD_ARROW_RIGHT_THIN,
  ARROW_DROP_DOWN,
  DONE,
} from 'constants/icons'
import cm from './MessengerNavbar.module.styl'

export default class MessengerNavbar extends PureComponent {
  static propTypes = {
    className: PropTypes.string,
    labelBack: PropTypes.string,
    // title: PropTypes.string,
    name: PropTypes.string,
    // onClick: PropTypes.func,
    onClickBack: PropTypes.func,
    // onClickUser: PropTypes.func,
    // onClickMenu: PropTypes.func,
  }

  static defaultProps = {
    labelBack: 'Home',
  }

  render() {
    const { className, labelBack, name, onClickBack } = this.props

    return (
      <div className={cx(cm.container, className, 'fbm-b-b')}>
        <div className={cx(cm.wrapper, 'row middle between nowrap')}>
          <div
            onClick={onClickBack}
            className={cx(cm.back, 'd-flex align-center text-primary', { pointer: onClickBack })}
          >
            <SvgIcon i={KEYBOARD_ARROW_LEFT_THIN} size={36} className={cm.backIcon} />
            <span>{labelBack}</span>
          </div>

          <div className="col p-x-sm text-center fbm-text-sm">
            <div className={'d-flex align-center justify-center flex-nowrap'}>
              <span className="text-ellipsis">{name}</span>
              <SvgIcon i={KEYBOARD_ARROW_RIGHT_THIN} size={17} className="fbm-text-secondary" />
            </div>

            <div className="fbm-text-xs fbm-text-secondary">Messenger</div>
          </div>

          <div className={cx(cm.actions, 'row middle center text-primary')}>
            <SvgIcon i={DONE} size={16} />
            <SvgIcon i={ARROW_DROP_DOWN} size={12} />
          </div>
        </div>
      </div>
    )
  }
}
