import React from 'react'
import PropTypes from 'prop-types'
import { noop } from 'utils'

export default class ControlledInputWrapper extends React.Component {
  static propTypes = {
    name: PropTypes.string,
    onChange: PropTypes.func,
    children: PropTypes.any,
    value: PropTypes.any,
  }

  static defaultProps = {
    onChange: noop,
  }

  state = {
    name: this.props.name || '1234',
    value: 'value' in this.props ? this.props.value : '',
  }

  handleChange = e => {
    const { target } = e
    const value = target.type === 'checkbox' ? target.checked : target.value
    this.setState({ value })
    this.props.onChange()
  }

  render() {
    const props = {
      name: this.state.name,
      value: this.state.value,
      onChange: this.handleChange,
    }
    return React.cloneElement(this.props.children, props)
  }
}
